%define		modname	geoip
%define		status		status
Summary:	%{modname} - Map IP address to geographic places
Summary(pl.UTF-8):	%{modname} - odwzorowanie adresów IP w miejsca geograficzne
Name:		php-pecl-%{modname}
Version:	1.0.8
Release:	5
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	65263ac6d1c335f22ce818b3253912a5
Patch0:		find_libgeoip.patch
URL:		http://pecl.php.net/package/geoip/
BuildRequires:	GeoIP-devel > 1.4.0
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
Suggests:	GeoIP-db-City
Suggests:	GeoIP-db-Country
Suggests:	GeoIP-db-IPASNum
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This PHP extension allows you to find the location of an IP address -
City, State, Country, Longitude, Latitude, and other information as
all, such as ISP and connection type.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na znalezienie miejsca, któremu odpowiada dany
adres IP - miasto, stan, kraj, szerokość i długość geograficzna czy
inne informacje, takie jak ISP czy typ połączenia.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p1

sed -i -e 's,GEOIP_DIR/lib,GEOIP_DIR/%{_lib},g' config.m4

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 68cebe8
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 110e6d5
- release 4 (by relup.sh)

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 00ebc62
- release 3

* Thu Dec 15 2011 Elan Ruusamäe <glen@pld-linux.org> 95f3eed
- suggest db packages we have available; rel 2

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> 05d11bd
- BR GeoIP 1.4.0

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> 5a37c5f
- do not find(1) /usr when searching for lib

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> 94d4fff
- up to 1.0.8

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dfdf046
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 18630a0
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 50458e9
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sat Apr 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 99cfd47
- updated to 1.0.7

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 877ec86
- updated to 1.0.6

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 01782e6
- updated to 1.0.5

* Wed Oct 15 2008 Jan Rękorajski <baggins@pld-linux.org> 0f7d89c
- rel 2

* Wed Oct 15 2008 Jan Rękorajski <baggins@pld-linux.org> bcf09fb
- fix build on 64bit archs

* Sat Jun 14 2008 Adam Gołębiowski <adamg@pld-linux.org> c460543
- Licsen: PHP 3.0.1

* Sat Jun 14 2008 Adam Gołębiowski <adamg@pld-linux.org> 0ec2730
- updated to 1.0.3

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> b286948
- release 2 (1 is for Ac)

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 61515c0
- updated to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 69468aa
- tabs in preamble

